Subject: RE: draft-raggarwa-rsvpte-pw-01.txt

From: "Gray, Eric" <[email-masked]>
Date: Fri, 25 Mar 2005 11:27:06 -0500

Richard, et al,

	To defend the statements made by Bruce and others, for 
a minute, this is essentially a "process issue".

	I don't think anyone is suggesting that the suppliers
should pick and choose among the things that customers are
saying they need, or that the customers are asking for stuff
they don't really need.

	IMHO, the thing that people are saying when they talk
about refining the requirements is the process of grouping 
the requirements into sets that are sufficiently consistent
that each set can be satisfied with an achievable solution.
In addition, there is a part of the "process" that requires 
us to divide the problem into pieces that are appropriate 
to be handled in a particular forum - especially, the PWE3
WG.

	Now my defensive minute is up.

	I believe a lot of this discussion it too focused on 
"process".  As much as it might be hard to say that there
is consensus to accept Rahul's ID as a working group ID, it
does seem fairly clear that people posing the requirements
favor doing so.

	So it seems that maybe one of the requirements is to
stop jawing and start doing...

--
Eric

-----Original Message-----
From: [email-masked] [mailto:[email-masked]]
Sent: Friday, March 25, 2005 3:48 AM
To: [email-masked]; [email-masked]
Cc: [email-masked]; [email-masked]
Subject: RE: [PWE3] draft-raggarwa-rsvpte-pw-01.txt

I really can't understand why there is speculation over the agreement of
requirements in the requirements draft (which has been accepted as a WG
document). The MS-PW requirements draft is a joint effort between a number
of tier 1 service providers. Every requirement has been submitted by one of
the contributing providers, and I would assume that each of the requirements
is based on current/planned network deployments and associated network
design goals - I do not think the contributing authors would waste their
time submitting requirements otherwise.
 
There may be requirements that are still missing, particulalry from
providers that have not yet contributed to the draft. Some of the
requirements included in the draft may need further explanation, and the
draft itself may need further work to tidy it up (i.e. remove duplication,
improve readability). Also, over time some of the requirements may change as
new solutions/services become available and networks evolve. However, the
current draft describes the MS-PW requirements as perceived by the
contributing tier 1 service providers today, and these requirements will not
change significantly in the short term.
 
Therefore, for the purposes of MS-PW discussions, these requirements should
be accepted as the definitive MS-PW requirements regardless of what stage in
the IETF standardisation process the requirements draft is at.
 
Regards,
Richard

	-----Original Message----- 
	From: [email-masked] on behalf of Gray, Eric 
	Sent: Thu 24/03/2005 16:14 
	To: Bruce Davie 
	Cc: 'Kireeti Kompella'; [email-masked] 
	Subject: RE: [PWE3] draft-raggarwa-rsvpte-pw-01.txt

	Bruce,
	
	        You left out the obvious point at which we might
	"have [requirements]" - when there are customers who
	say they would like to have it...  :-)
	
	--
	Eric
	
	-----Original Message-----
	From: [email-masked] [mailto:[email-masked]]On Behalf
Of
	Kireeti Kompella
	Sent: Thursday, March 24, 2005 3:45 PM
	To: Bruce Davie
	Cc: [email-masked]
	Subject: Re: [PWE3] draft-raggarwa-rsvpte-pw-01.txt

	On Wed, 23 Mar 2005, Bruce Davie wrote:
	
	> --On Wednesday, March 23, 2005 11:48 AM -0800 Kireeti Kompella
	> <[email-masked]> wrote:
	>
	> > On Wed, 23 Mar 2005, Bruce Davie wrote:
	...
	> I haven't passed judgment on RSVP. It certainly seems premature to
start
	> increasing the number of protocols for PWs before we agree on the
	> requirements.
	
	Good to hear that.
	
	However (believe it or not), the authors didn't propose the above
	document solely for the purpose of increasing the number of PW
	protocols.  Thay have what they believe are sound technical and
	pragmatic reasons.
	
	> > For that matter, it's not like we have a single PW protocol.
The
	> > "unhelpful" event already occurred, for better or worse.  Now we
	> > should focus on what's the most suitable protocol for the reqts.
	>
	> Once we have the reqts, I agree.
	
	When do we "have the reqts"?  When:
	a) it's a WG doc?
	b) it's in WG Last Call?
	c) it's in IETF Last Call?
	d) it's an RFC?
	
	> I chose my words carefully. By saying "at this time" I do indeed
	> mean that, when we have a better sense of the requirements, it
would
	> be a good time to decide which protocol(s) the working group will
	> adopt to meet them.
	
	Same question as above: when can we say that we have a better sense
of
	the requirements?
	
	Kireeti.
	-------
	
	_______________________________________________
	pwe3 mailing list
	[email-masked]
	https://www1.ietf.org/mailman/listinfo/pwe3
	
	_______________________________________________
	pwe3 mailing list
	[email-masked]
	https://www1.ietf.org/mailman/listinfo/pwe3